<?php

namespace Themes\kbgolf\pro\app\Services;
use GuzzleHttp\Client;
use Illuminate\Support\Facades\Log;

class SocialService
{
    protected $apiUrl = 'https://kapi.kakao.com';
    protected $restApiKey;

    public function __construct()
    {
        $this->restApiKey = env('KAKAO_REST_API_KEY');
    }

    // public function sendMessage($channelId, $args)
    // {
    //     Log::debug('channelId: ' . $channelId);
    //     // Log::debug('args: ' . json_decode($args));
    //     $client = new Client([
    //         'base_uri' => $this->apiUrl,
    //         'headers' => [
    //             'Authorization' => 'KakaoAK ' . $this->restApiKey,
    //             'Content-Type' => 'application/json',
    //         ],
    //     ]);
    //     // Log::debug('결과: ' . $response);
    //     // $response = $client->post('/v1/api/talk/channel/' . $channelId . '/message', [
    //     $response = $client->post('/v1/api/talk/channels/' . $channelId . '/message', [
    //         'json' => [
    //             'template_object' => [
    //                 'object_type' => 'text',
    //                 'message' => $args['message'],
    //                 'link' => [
    //                     'web_url' => $args['link_url'],
    //                 ],
    //             ],
    //         ],
    //     ]);
    //     dd($response);

    //     return $response->getBody()->getContents();
    // }

    public function handleService()
{
    // GuzzleHttp 클라이언트 생성
    $client = new \GuzzleHttp\Client();

    try {
        // POST 요청 보내기
        $response = $client->post('https://kbgolf.daboryhost.com/naver-talk-talk', [
            'json' => ['event' => 'test'],
        ]);

        // 응답 본문 가져오기
        $body = $response->getBody();
        $content = $body->getContents();

        // 여기서 $content 변수에는 API 서버에서 반환한 데이터가 포함됩니다.
        // 필요한 후속 처리를 수행할 수 있습니다.

        // 예: JSON 형식의 응답을 배열로 변환하여 사용할 수 있음
        $responseData = json_decode($content, true);

        // 반환된 데이터 확인
        print_r($responseData);

    } catch (\GuzzleHttp\Exception\RequestException $e) {
        // 예외 처리: 요청이 실패한 경우
        echo "Request failed: " . $e->getMessage();
    }
}
}
